/**
 * Welcome to Pebble.js!
 *
 * Modified App to display Weather data
 * From tutorial at http://developer.getpebble.com/getting-started/pebble-js-tutorial/part1/
 * Jan. 15, 2015 
 * Mark DuBois
 */

var UI = require('ui');
var ajax = require('ajax');

// Create a Card with title and subtitle
var card = new UI.Card({
  title:"Mark's Weather",
  subtitle:'Fetching...'
});

// Display the Card
card.show();

// Construct URL
var cityName = 'Peoria';
var URL = 'http://api.openweathermap.org/data/2.5/weather?q=' + cityName;

// Make the request
ajax(
  {
    url: URL,
    type: 'json'
  },
  function(data) {
    // Success!
    console.log("Successfully fetched weather data!");

    // Extract data
    var location = data.name;
    var temperature = Math.round(data.main.temp - 273.15) + "C";

    // Always upper-case first letter of description
    var description = data.weather[0].description;
    description = description.charAt(0).toUpperCase() + description.substring(1);

    // Show to user
    card.subtitle(location + ", " + temperature);
    card.body(description);
  },
  function(error) {
    // Failure!
    console.log('Failed fetching weather data: ' + error);
  }
);


// Display the Card
card.show();